package com.jeeplus.test.reimbursement.reimbursementInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursement.reimbursementInfo.domain.ReimbursementInfo;
import com.jeeplus.test.reimbursement.reimbursementInfo.service.dto.RetureListDto;
import com.jeeplus.test.reimbursement.reimbursementInfo.service.dto.TreeUserDto;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ReimbursementInfoMapper extends BaseMapper<ReimbursementInfo> {

    IPage<RetureListDto> findList (Page<RetureListDto> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    List<WorkAttachmentDto> findFiles(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    List<TreeUserDto> findOfficeList();

    List<TreeUserDto> findUserList(@Param("name") String name);

    List<RetureListDto> findExportList (@Param(Constants.WRAPPER) QueryWrapper queryWrapper);
}
