package com.jeeplus.test.program.configuration.projectList.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class ExportFileDto {

    /**
     * 创建日期
     */
    @Excel(name = "创建时间", width = 30, orderNum = "6")
    private String createDate;

    /**
     * 合同名称
     */
    @Excel(name = "合同名称", width = 30, orderNum = "3")
    private String contractName;

    @Excel(name = "委托方", width = 30, orderNum = "5")
    private String clientName;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 30, orderNum = "1")
    private String name;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号", width = 20, orderNum = "2")
    private String no;

    @Excel(name = "项目经理", width = 20, orderNum = "4")
    private String projectManagerName;

    /**
     * 状态
     */
    @Excel(name = "状态", width = 20, orderNum = "7")
    private String status;

}
